<template>
  <div class="tickets">
    <div class="container">
      <tickets-filter class="filter"></tickets-filter>
      <tickets></tickets>
    </div>
  </div>
</template>

<script>
import { mapActions } from "vuex";
import Tickets from "@/components/tickets/Tickets.vue";
import Filter from "@/components/filter/Filter.vue";

export default {
  name: "Home",
  components: { Tickets, "tickets-filter": Filter },
  async mounted() {
    await this.getAirlines();
    this.getFlights();
  },
  methods: {
    ...mapActions(["getAirlines", "getFlights"])
  }
};
</script>

<style lang="scss" scoped>
body {
  background: #e1e1e1;
}
.tickets {
  position: relative;
  display: flex;
  justify-content: center;
  font-family: "Open Sans", sans-serif;
  color: #202123;
  background: #e1e1e1;
  // min-width: 100vw;
  min-height: 100vh;
}
.container {
  display: flex;
  margin: 0;
  margin-top: 43.04px;
}
.filter {
  margin-right: 20px;
}
@media only screen and (max-width: 822px) {
  .filter {
    margin: 0;
  }
}
</style>
